Package org.eclipse.cdt.utils.macho

## Class MachO64.DyLib

- java.lang.Object
- - org.eclipse.cdt.utils.macho.MachO64.DyLib

Enclosing class:
  MachO64

    public class MachO64.DyLib
    extends Object

### Field Summary

Fields
`int` `compatibility_version`
`int` `current_version`
`String` `lc_str_name`
`int` `name`
`int` `timestamp`

### Constructor Summary

Constructors
`DyLib()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### name

    public int name

#### timestamp

    public int timestamp

#### current_version

    public int current_version

#### compatibility_version

    public int compatibility_version

#### lc_str_name

    public String lc_str_name

### Constructor Detail

#### DyLib

    public DyLib()

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`